//------------------------------------------------------------------------
//
//  bde4api.prg  --  Visual dBASE interface library for BDE 4.
//  
//  Visual dBASE Samples Group
//
//  $Revision:   1.3  $
//
//  Copyright (c) 1997, Borland International, Inc. All rights reserved.    
//
//------------------------------------------------------------------------  

#include "bde4api.h"
extern DBIResult DbiOpenDatabaseList( phDBICur ) "idapi32.dll"
extern DBIResult DbiGetNextRecord( hDBICur, DBILockType, pBYTE, pRECProps ) "idapi32.dll"
extern DBIResult DbiCloseCursor( phDBICur  ) "idapi32.dll"

SET PROCEDURE TO PROGRAM()       ADDITIVE
SET PROCEDURE TO "structure.prg" ADDITIVE

class StructDBDesc of Structure
   super::addMember( TYPE_DBINAME, "szName",    SIZEOF_DBINAME ) // Logical name (Or alias)
   super::addMember( TYPE_DBINAME, "szText",    SIZEOF_DBINAME ) // Descriptive text
   super::addMember( TYPE_DBIPATH, "szPhyName", SIZEOF_DBIPATH ) // Physical name/path 
   super::addMember( TYPE_DBINAME, "szDbName",  SIZEOF_DBINAME ) // Database type
endclass

class RecProps of Structure
   super::addMember( TYPE_UINT32, "iSeqNo" )         // When Seq# supported only
   super::addMember( TYPE_UNIT32, "iPhyRecNum" )     // When Phy Rec#s supported only
   super::addMember( TYPE_UNIT16, "bRecChanged" )    // Used by Delayed Updates Cur
   super::addMember( TYPE_BOOL16, "bSeqNumChanged" ) // Not used
   super::addMember( TYPE_BOOL16, "bDeleteFlag" )    // When soft delete supported 
endclass

          